// -*- c++ -*-

#ifndef DRIVELISTVIEW__H
#define DRIVELISTVIEW__H

#include <qlistview.h>
#include <parted/parted.h>

/**
 * A widget that displays a list of all detected hard disks.
 *
 * @author Richard Moore, rich@kde.org
 * @version $Id$
 */
class DriveListView : public QListView
{
  Q_OBJECT

public:
  DriveListView( QWidget *parent=0, const char *name=0 );
  ~DriveListView();

  void buildView();
  void addDevice( PedDevice *dev, QListViewItem *parent );

signals:
  void selected( PedDevice *);
  void onItem( PedDevice *);

public slots:
  void itemSelected( QListViewItem *item );
  void onItem( QListViewItem *item );
  void onViewport();
};

#endif // DRIVELISTVIEW_H
