// -*- c++ -*-

/***************************************************************************
                          kparted.h  -  description
                             -------------------
    begin                : Fri Jul 13 17:32:54 BST 2001
    copyright            : (C) 2001 by Richard Moore
    email                : rich@kde.org
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KPARTED_H
#define KPARTED_H

// include files for QT
#include <qapp.h>
#include <qmainwindow.h>
#include <qmsgbox.h>
#include <qfiledialog.h>
#include <qprinter.h>
#include <qpainter.h>

// application specific includes
#include "kpartedview.h"

/**
  * This Class is the base class for your application. It sets up the main
  * window and providing a menubar, toolbar
  * and statusbar. For the main view, an instance of class KPartEdView is
  * created which creates your view.
  */
class KPartEdApp : public QMainWindow
{
  Q_OBJECT
  
  public:
    /** construtor */
    KPartEdApp();
    /** destructor */
    ~KPartEdApp();

    /** setup the mainview*/
    void initView();

    /** overloaded for Message box on last window exit */
    bool queryExit();

  private:

    /** view is the main widget which represents your working area. The View
     * class should handle all events of the view widget.  It is kept empty so
     * you can create your view according to your application's needs by
     * changing the view class.
     */
    KPartEdView *view;
};
#endif 

